.circle-wrapper{
  --width-container-size: 700px;
  --height-container-size: 500px;
  --main-size: 340px;
  --outer-size: 80px;
  --ring-color: #003466;
  --outer-dark: #0f2a4d;
  --outer-light: #4f78a7;
}

.circle-wrapper .circle-container-dsk{
  position: relative;
  width: var(--width-container-size);
  height: var(--height-container-size);
  margin: 0 auto;
}
.circle-wrapper .circle-container-mobile {
  display: none;
}

.circle-wrapper .main-circle{
  position: absolute;
  width: var(--main-size);
  height: var(--main-size);
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  border-radius: 50%;
  border: 4px solid var(--ring-color);
  box-sizing: border-box;
  display:flex;
  align-items:center;
  justify-content:center;
  z-index: 1;
}

.circle-wrapper .center-content{
  position: absolute;
  width: calc(var(--main-size) - 140px);
  height: calc(var(--main-size) - 140px);
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  border-radius:50%;
  background: #fff;
  display:flex;
  align-items:center;
  justify-content:center;
  z-index: 2;
}

.circle-wrapper .center-content img {
  width: 100%;
  border-radius: 100%;
  user-drag: none;
  -webkit-user-drag: none;
  user-select: none;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.circle-wrapper .outer-circle{
  position: absolute;
  width: var(--outer-size);
  height: var(--outer-size);
  display:flex;
  align-items:center;
  justify-content:center;
  color:white;
  text-align:center;
  z-index:3;
  transition:transform .14s ease;
}

.circle-wrapper .outer-circle .icon{
  width: 100%;
  height: 100%;
  user-drag: none;
  -webkit-user-drag: none;
  user-select: none;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.circle-wrapper .outer-label{
  position: absolute;

  font-size: 1rem;
  line-height: 1.2;
  font-weight: bold;
}

.circle-wrapper .outer-circle:hover{ transform:scale(1.08); z-index:10; }

@media (max-width: 767px) {
  .circle-wrapper .circle-container-dsk{
    display: none;
  }
  .circle-wrapper .circle-container-mobile {
    display: block;
    margin-block: 32px;
  }
  .circle-wrapper .circle-container-content-mobile {
    display: flex;
    flex-direction: column;
    gap: 28px;
    position: relative;
    margin-top: 24px;
  }

  .circle-wrapper .circle-container-content-mobile::before {
    content: '';
    display: block;
    width: 3px;
    height: 100%;
    position: absolute;
    left: 36px;
    top: 0;
    background-color: #003466;
  }

  .circle-wrapper .circle-container-mobile .main-img {
    width: 100%;
    border-radius: 100%;
    user-drag: none;
    -webkit-user-drag: none;
    user-select: none;
    aspect-ratio: 1/1;
    max-width: 75%;
    margin: 0 auto;
    display: block;
  }

  .circle-wrapper .circle-container-mobile .outer-circle{
    display: flex;
    flex-direction: row;
    gap: 20px;
    align-items: center;
    justify-content: start;
    position: inherit;
    width: 100%;
    color: #06c;
    transform: unset;
    text-align: initial;
    height: fit-content;
  }

  .circle-wrapper .outer-circle .icon{
    width: 72px;
    height: 72px;
  }

  .circle-wrapper .outer-label{
    position: inherit;
    max-width: unset;
  }
}
